Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.mbeans
Interface ScenarioServiceMBean

public interface ScenarioServiceMBean
extends ServiceConfigurationMBean

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getMaxURILength()` Get the maximum length of a deployable scenario URI.
`java.lang.String[]` | `getRulesRequestAttrNames()` Get the list of Request attributes to put into the rules contexts.
`java.lang.String[]` | `getRulesSessionAttrNames()` Get the list of Session attributes to put into the rules contexts.
`void` | `setMaxURILength(int max)` Set the maximum length of a deployable scenario URI.
`void` | `setRulesRequestAttrNames(java.lang.String[] names)` Set the list of Request attributes to put into the rules contexts.
`void` | `setRulesSessionAttrNames(java.lang.String[] names)` Set the list of Session attributes to put into the rules contexts.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getRulesRequestAttrNames

    public java.lang.String[] getRulesRequestAttrNames()

  Get the list of Request attributes to put into the rules contexts.

  Old Property: campaign.rules.request.attrnames

### setRulesRequestAttrNames

    public void setRulesRequestAttrNames(java.lang.String[] names)

  Set the list of Request attributes to put into the rules contexts.

  Legal NULL: true

### getRulesSessionAttrNames

    public java.lang.String[] getRulesSessionAttrNames()

  Get the list of Session attributes to put into the rules contexts.

  Old Property: campaign.rules.request.attrnames

### setRulesSessionAttrNames

    public void setRulesSessionAttrNames(java.lang.String[] names)

  Set the list of Session attributes to put into the rules contexts.

  Legal NULL: true

### getMaxURILength

    public int getMaxURILength()

  Get the maximum length of a deployable scenario URI.

  Default Value: 254

### setMaxURILength

    public void setMaxURILength(int max)

  Set the maximum length of a deployable scenario URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved